Skip to main content
GET
/
v1
/
smart-account
/
transactions
Get Transaction
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-account/transactions \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "refId": "<string>",
    "idempotencyKey": "<string>",
    "token": "<string>",
    "amount": 123,
    "rawAmount": 123,
    "totalAmount": 123,
    "rawTotalAmount": 123,
    "blockchain": "<string>",
    "protocol": "<string>",
    "environment": "<string>",
    "type": "<string>",
    "status": "<string>",
    "fee": 123,
    "fromAddress": "<string>",
    "triggerOrigin": "<string>",
    "smartAccountId": "<string>",
    "workspaceId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "tokenAddress": "<string>",
    "decimals": 123,
    "txHash": "<string>",
    "userOpsTxHash": "<string>",
    "feeLevel": "<string>",
    "feeToken": "<string>",
    "networkFee": 123,
    "rawNetworkFee": 123,
    "bundlerFee": 123,
    "bundlerFeePercentage": "<string>",
    "platformFee": 123,
    "platformPercentage": "<string>",
    "bundlerProvider": "<string>",
    "toAddress": "<string>",
    "destinations": {},
    "estimationData": {},
    "receipt": {},
    "metadata": {},
    "transactionGroupId": "<string>",
    "smartAccountWalletId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

transactionId
string
required

Transaction ID

Example:

"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"

Response

success
boolean
required
Example:

true

data
object
required